<?php

namespace Drupal\dotenv;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderInterface;

/**
 * The dotenv service provider.
 *
 * Sets container parameters for configuring the Symfony Console commands.
 */
class DotenvServiceProvider implements ServiceProviderInterface {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    $container->setParameter('dotenv.project_dir', DRUPAL_ROOT . '/..');
    $container->setParameter('dotenv.environment', $_ENV['APP_ENV'] ?? 'prod');

    // @todo Delete this when dropping Drupal 8 support in https://www.drupal.org/project/cdn/issues/3103682.
    if (version_compare(\Drupal::VERSION, '9.0', '<')) {
      // @see https://www.drupal.org/project/drupal/issues/3074585
      $container->getDefinition('dotenv.init')
        ->setArgument(0, '@site.path');
    }
  }

}
